#version 410 core
 
uniform vec3 font_colour;
uniform sampler2D alphabet_texture;
 
in vec2 texture_coordinates;
 
out vec4 fragment_colour;

void main(void)
{		
	float texture_value = texture(alphabet_texture, texture_coordinates).r;
        fragment_colour = vec4(font_colour, texture_value);
}